> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

# Retrieve List of Managers

GET https://api.letsdeel.com/rest/managers

Lists the managers of the calling organization, including managers who have not logged in yet, so you can see who currently manages the organization. The caller needs permission to view team managers.

 **Token scopes**: `organizations:read`

Reference: https://docs.deel.wtf/api/endpoints/managers/get-managers

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `limit` (integer, optional) — The number of records to return in the response.
- `offset` (integer, optional) — The offset or starting point for pagination.

## Response

### 200

Successful operation.

- `data` (list of ManagersGetResponsesContentApplicationJsonSchemaDataItems, required) — List of managers in the organization.
- `page` (ManagersGetResponsesContentApplicationJsonSchemaPage, required) — Pagination details for the response.

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ManagersGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Unauthorized. The request is missing authentication credentials or the credentials provided are invalid.

- `error` (string, optional) — An error message indicating that the authentication failed.

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

No managers found. There are no managers associated with the current organization.

- `error` (string, optional) — An error message indicating that no managers were found.

### 500 Internal Server Error

Internal server error. An error occurred on the server while processing the request.

- `error` (string, optional) — A general error message indicating that the server encountered an unexpected issue.

## Types

### ManagersGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier of the manager.
- `email` (string, optional) — The email address of the manager.
- `last_name` (string, optional) — The last name of the manager.
- `first_name` (string, optional) — The first name of the manager.

### ManagersGetResponsesContentApplicationJsonSchemaPage

Pagination details for the response.

- `total_rows` (double, required) — Total number of rows available for this resource.
- `offset` (double, optional, nullable) — The offset/index of the current page.
- `items_per_page` (double, optional, nullable) — Number of items returned per page.

### ManagersGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code identifier
- `field` (string, optional) — Name of the field that failed validation
- `details` (ManagersGetResponsesContentApplicationJsonSchemaErrorsItemsDetails, optional) — Additional error details
- `message` (string, optional) — Human-readable error message

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ManagersGetResponsesContentApplicationJsonSchemaErrorsItemsDetails

Additional error details

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "email": "john.doe@example.com",
      "last_name": "Doe",
      "first_name": "John"
    }
  ],
  "page": {
    "total_rows": 50,
    "offset": 10,
    "items_per_page": 10
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/managers"

querystring = {"limit":"10","offset":"0"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/managers?limit=10&offset=0';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/managers?limit=10&offset=0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/managers?limit=10&offset=0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/managers?limit=10&offset=0")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/managers?limit=10&offset=0', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/managers?limit=10&offset=0");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/managers?limit=10&offset=0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```